export declare class Forwarder {
    static relu(value: number): number;
    static matrixAddition(matrix1: number[][], matrix2: number[][]): number[][];
    static matrixMultiplication(matrix1: number[][], matrix2: number[][]): number[][];
    static convolution(image: number[][], kernel: number[][], padding?: boolean): number[][];
    static maxPooling(image: number[][], windowX: number, windowY: number, strideX: number, strideY: number): void;
    static softmax(value: number): number;
    static softmaxProbabilities(probabilities: number[]): number[];
}
