import { BoundingBox } from './bounding-box';
import { Coordinate } from './coordinate';
export declare class Transformer {
    static serializeImage(image: number[][]): number[];
    static subsample(image: number[][], source?: number, target?: number): number[][];
    static getBoundingBox(layer: number[][], treshold?: number): BoundingBox;
    static flattenImage(image: number[][]): number[];
    static getCenter(image: number[][]): Coordinate;
    static invertColors(givenImage: number[][]): any[];
}
